Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-53090

Importing Controls and other plugins fails with static builds

    XMLWordPrintable

    Details

    • Commits:
      fb99da23df3b420a0bf475ec56576cf9b199ffcc (qtdeclarative)

      Description

      Looks like interface iid is declared wrong (or the check is not correct).

      For example, QQmlImportsPrivate::populatePluginPairVector (qqmlimport.cpp) expects "org.qt-project.Qt.QQmlExtensionInterface" but some plugins provide "org.qt-project.Qt.QQmlExtensionInterface/1.0"

      Reproducible with static Qt 5.6 branch build and any project that uses QtQuick.Controls 1.x import.

      Edit: actually not 5.6.0 release, but latest from 5.6 branch

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            poikelin Joni Poikelin
            Reporter:
            poikelin Joni Poikelin
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes